hardware-stores-get-one¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090515545Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
getLambda:
jef-hardware-get-5
Endpoint¶
API Name:
jef-hardwareAction Name:
getMethod:
GETScope Label:
GETResource Path:
/hardware-stores-get-oneComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-5curl payload mode:
query_string
API Gateway Description¶
Function: jef-hardware-get-5
API Name: jef-hardware
Action: get
Method: GET
Resource Path: /hardware-stores-get-one
Table:
- table: jef-hardware-stores
- operation: get-one
Payload Schema:
- pk: entity_number
Payload Example:
- pk: 1001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","store_code":"string","store_name":"string","branch_name":"string","receipt_name":"string","address":"string","contact_number":"string","tin_number":"string","permit_to_use_number":"string","receipt_footer_message":"string","receipt_paper_width":"string","receipt_characters_per_line":"number","active":"boolean","updated_at":"string"}
Request Payload¶
{
"pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"store_code\":\"string\",\"store_name\":\"string\",\"branch_name\":\"string\",\"receipt_name\":\"string\",\"address\":\"string\",\"contact_number\":\"string\",\"tin_number\":\"string\",\"permit_to_use_number\":\"string\",\"receipt_footer_message\":\"string\",\"receipt_paper_width\":\"string\",\"receipt_characters_per_line\":\"number\",\"active\":\"boolean\",\"updated_at\":\"string\"}"
}
CMD curl¶
curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-one?pk=1001"
PowerShell curl¶
curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-one?pk=1001"